From d8875a0937d9a624f27c7efdd529fda5167b4831 Mon Sep 17 00:00:00 2001
From: Devyani Kota <divs.passion.18@gmail.com>
Date: Mar 14 2016 22:01:43 +0000
Subject: [PATCH 323/1001] Modified the fedmsgstats tests according to code changes


---

diff --git a/hubs/tests/test_widgets/test_fedmsgstats.py b/hubs/tests/test_widgets/test_fedmsgstats.py
index ad8c0c3..39bd99e 100644
--- a/hubs/tests/test_widgets/test_fedmsgstats.py
+++ b/hubs/tests/test_widgets/test_fedmsgstats.py
@@ -16,7 +16,11 @@ class TestFedmsgStats(hubs.tests.test_widgets.WidgetTest):
             u'fedmsgs': 83854,
             u'fedmsgs_text': u'83,854',
             u'source_url': u'/source/fedmsgstats/',
-            u'subscribers': 0,
+            u'subscribers': [],
+            u'subscribed_to': [],
             u'subscribers_text': u'0',
+            u'subscribed_text': u'0',
             u'username': u'ralph',
+            u'hub_subscribe_url': u'/api/hub/ralph/subscribe',
+            u'hub_unsubscribe_url': u'/api/hub/ralph/unsubscribe',
         })
diff --git a/hubs/widgets/fedmsgstats.py b/hubs/widgets/fedmsgstats.py
index 2a3c643..a71f1b0 100644
--- a/hubs/widgets/fedmsgstats.py
+++ b/hubs/widgets/fedmsgstats.py
@@ -43,7 +43,6 @@ def data(session, widget, username):
     url = url.format(username=username)
     response = requests.get(url)
     fedmsgs = response.json()['total']
-    print dir(widget.hub.name)
     for assoc in widget.hub.associations:
         sub_list = [u.name for u in assoc.user.subscriptions]
     subscribers = [u.username for u in widget.hub.subscribers]

